Cyberduck Mountain Duck CLI

#6068 closed defect (fixed)

Opening old file version creates a new version

Reported by: Brian Owned by: yla
Priority: normal Milestone: 4.3
Component: core Version: 4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Hi,

When I open in notepad an old version of a text file (by double clicking the file in the window) a new version of the file is created on closing notepad even though the file has NOT been saved.

Best regards

Attachments (1)

Log.txt (11.0 KB) - added by Brian on Jul 13, 2011 at 7:20:39 AM.

Download all attachments as: .zip

Change History (10)

Changed on Jul 13, 2011 at 7:20:39 AM by Brian

comment:1 Changed on Jul 13, 2011 at 9:03:33 AM by dkocher

Do I understand correctly that the file is uploaded although the changes have not been saved in the editor?

comment:2 Changed on Jul 13, 2011 at 9:22:03 AM by Brian

Yes I believe that is the case. At least a new copy of the deleted file becomes the current version (the old version still remains in the folder). I am not sure if I modify the file in the editor whether that gets saved or if the action of double clicking promotes that file to become the current one.

Brian

comment:3 Changed on Jul 13, 2011 at 9:33:51 AM by dkocher

  • Milestone set to 4.1.1

comment:4 Changed on Sep 27, 2011 at 7:28:43 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this issue. If you choose Don't save in Notepad the file is not uploaded.

comment:5 Changed on Sep 27, 2011 at 8:43:28 AM by Brian

This problem still occurs for me using version 4.1.3 (9030).

Let me try to explain once more in case I have not explained properly previously.

I have a text file with a number of versions that have different sizes and creation dates. When I double click on the previous version the file opens in windows notepad. Since I do not normally modify the file (I simply want to view the file) there is no "Don't save" option and I just close notepad (without saving).

When I then refresh Cyberduck's view (using F5) a new version of the file is created that is the same size as the file viewed and it has the current date/time stamp.

If I can provide any further information please contact me.

Brian

comment:6 Changed on Sep 27, 2011 at 8:57:54 AM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:7 Changed on Nov 18, 2011 at 9:58:23 AM by dkocher

  • Milestone changed from 4.2 to 4.3

Milestone 4.2 deleted

comment:8 Changed on May 9, 2012 at 11:11:00 AM by dkocher

  • Owner set to yla
  • Status changed from reopened to new

comment:9 Changed on Oct 7, 2012 at 2:30:07 PM by yla

  • Milestone changed from 4.3 to 4.2.2
  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r9891.

Note: See TracTickets for help on using tickets.
swiss made software